<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.sqmy.mapper.SqmyRyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="sqmyRyResultMap" type="org.springblade.modules.sqmy.pojo.entity.SqmyRyEntity">
        <result column="xm" property="xm"/>
        <result column="gmsfhm" property="gmsfhm"/>
        <result column="lxdh" property="lxdh"/>
        <result column="xjzdxz" property="xjzdxz"/>
        <result column="sqmy_id" property="sqmyId"/>
    </resultMap>

    <select id="selectSqmyRyPage" resultMap="sqmyRyResultMap">
        select * from sqmy_ry where is_deleted = 0
    </select>

    <select id="exportSqmyRy" resultType="org.springblade.modules.sqmy.excel.SqmyRyExcel">
        SELECT * FROM sqmy_ry ${ew.customSqlSegment}
    </select>

</mapper>
